org.eclipse.ease.ui.scripts.expressions.definitions

## Class AbstractExpressionDefinition

- java.lang.Object
- - org.eclipse.ease.ui.scripts.expressions.definitions.AbstractExpressionDefinition

All Implemented Interfaces:
  IExpressionDefinition

Direct Known Subclasses:
  AbstractCompositeExpressionDefinition, CountExpressionDefinition, EqualsExpressionDefinition, InstanceOfExpressionDefinition, ReferenceExpressionDefinition, ResolveExpressionDefinition, SystemTestExpressionDefinition

    public abstract class AbstractExpressionDefinition
    extends java.lang.Object
    implements IExpressionDefinition

### Nested Class Summary

Nested Classes
`static class` `AbstractExpressionDefinition.Parameter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractExpressionDefinition()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `getDescription()`
`java.util.Collection<AbstractExpressionDefinition.Parameter>` `getParameters()`
`ICompositeExpressionDefinition` `getParent()`
`boolean` `hasParameter(java.lang.String key)`
`java.lang.String` `serialize()`
`void` `setConfiguration(IConfigurationElement configurationElement)`
`void` `setParameter(java.lang.String key, java.lang.String value)`
`void` `setParameterValues(java.lang.String key, java.lang.String[] allowedValues)`
`void` `setParent(ICompositeExpressionDefinition parent)`
`abstract Expression` `toCoreExpression()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractExpressionDefinition

    public AbstractExpressionDefinition()

### Method Detail

#### setParent

    public void setParent(ICompositeExpressionDefinition parent)

Specified by:
  `setParent` in interface `IExpressionDefinition`

#### getParent

    public ICompositeExpressionDefinition getParent()

Specified by:
  `getParent` in interface `IExpressionDefinition`

#### getParameters

    public java.util.Collection<AbstractExpressionDefinition.Parameter> getParameters()

#### hasParameter

    public boolean hasParameter(java.lang.String key)

Specified by:
  `hasParameter` in interface `IExpressionDefinition`

#### setParameter

    public void setParameter(java.lang.String key,
                             java.lang.String value)

Specified by:
  `setParameter` in interface `IExpressionDefinition`

#### setParameterValues

    public void setParameterValues(java.lang.String key,
                                   java.lang.String[] allowedValues)

Specified by:
  `setParameterValues` in interface `IExpressionDefinition`

#### serialize

    public java.lang.String serialize()

Specified by:
  `serialize` in interface `IExpressionDefinition`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in interface `IExpressionDefinition`

#### setConfiguration

    public void setConfiguration(IConfigurationElement configurationElement)

#### toCoreExpression

    public abstract Expression toCoreExpression()

Specified by:
  `toCoreExpression` in interface `IExpressionDefinition`